@echo off
rem  ------------------------ Apache Version 2.0 license -------------------------
rem     Copyright (C) 2001-2009 Rony G. Flatscher
rem
rem     Licensed under the Apache License, Version 2.0 (the "License")rem
rem     you may not use this file except in compliance with the License.
rem     You may obtain a copy of the License at
rem
rem         http://www.apache.org/licenses/LICENSE-2.0
rem
rem     Unless required by applicable law or agreed to in writing, software
rem     distributed under the License is distributed on an "AS IS" BASIS,
rem     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
rem     See the License for the specific language governing permissions and
rem     limitations under the License.
rem  -----------------------------------------------------------------------------


@echo on
@echo off

rem set default path to org.rexxla.bsf, 2005-06-02, ---rgf
set path2engine=org\rexxla\bsf\engines\rexx

set path2rexxlaBsf=org\rexxla\bsf

set target=-target 1.3
set source=-source 1.3

rem default to Apache's BSF
set javaSrc=apache-rexxla

if not :%1: == :: (
    set javaSrc=ibm-rexxla
)
echo Compiling for [%javaSrc%] ...

rem javac -target 1.1 *.java && copy *.class ..
md ..\%path2engine%
rem dir ..\%path2engine%
@echo off
rem javac -target 1.1 %javaSrc%\*.java && copy %javaSrc%\*.class ..\%path2engine% && copy %javaSrc%\*.java ..\%path2engine%

rem alt:
rem javac -target 1.1 %javaSrc%\*.java && copy %javaSrc%\*.class ..\%path2engine% && copy %javaSrc%\*.java ..\%path2engine%


@echo on
rem re-activated deletion to make sure that no leftovers of earlier classes mix-up the runtime, rgf, 2005-11-06
del ..\%path2engine%\*.java
del ..\%path2engine%\*.class

copy %javaSrc%\ArrayWrapper.java ..\%path2engine%
copy %javaSrc%\EnumerationWrapper.java ..\%path2engine%
copy %javaSrc%\Java4Rexx.java ..\%path2engine%
copy %javaSrc%\RexxAndJava.java ..\%path2engine%
copy %javaSrc%\RexxEngine.java ..\%path2engine%
copy %javaSrc%\RexxException.java ..\%path2engine%
copy %javaSrc%\RexxProxy.java ..\%path2engine%
copy %javaSrc%\Supplier.java ..\%path2engine%
copy %javaSrc%\RexxDispatcher..java ..\%path2rexxlaBsf%



javac %source% %target% %javaSrc%\ArrayWrapper.java       && copy %javaSrc%\ArrayWrapper.*       ..\%path2engine%
javac %source% %target% %javaSrc%\EnumerationWrapper.java && copy %javaSrc%\EnumerationWrapper.* ..\%path2engine%
javac %source% %target% %javaSrc%\Java4Rexx.java          && copy %javaSrc%\Java4Rexx.*          ..\%path2engine%
javac %source% %target% %javaSrc%\RexxAndJava.java        && copy %javaSrc%\RexxAndJava.*        ..\%path2engine%
javac %source% %target% %javaSrc%\RexxEngine.java         && copy %javaSrc%\RexxEngine.*         ..\%path2engine%
javac %source% %target% %javaSrc%\RexxException.java      && copy %javaSrc%\RexxException.*      ..\%path2engine%
javac %source% %target% %javaSrc%\RexxProxy.java          && copy %javaSrc%\RexxProxy.*          ..\%path2engine%
javac %source% %target% %javaSrc%\Supplier.java           && copy %javaSrc%\Supplier.*           ..\%path2engine%

rem only compile if Java 1.5 (5.0) or higher
rem javac -source 1.5 -target 1.5 %javaSrc%\RgfUtilCast.java   && copy %javaSrc%\RgfUtilCast.*       ..\%path2engine%

